Constructs a ReflectionClassConstant

- « ReflectionClassConstant

- ReflectionClassConstant::export »

- PHP Manual
- ReflectionClassConstant
- Constructs a ReflectionClassConstant

# ReflectionClassConstant::__construct

(PHP 7 >= 7.1.0, PHP 8)

ReflectionClassConstant::__construct — Constructs a ReflectionClassConstant

### Description

public ReflectionClassConstant::__construct(object|string `$class`, string `$constant`)

Constructs a new ReflectionClassConstant object.

### Parameters

`class`

  Either a string containing the name of the class to reflect, or an object.

`constant`

  The name of the class constant.

### Errors/Exceptions

Throws an Exception in case the given class constant does not exist.

### See Also

- Constructors